## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           hasl
Version:        0.4.0
Release:        %autorelease
Summary:        Hassle-free Authentication and Security Layer client library

License:        LGPL-2.1-or-later
URL:            https://keep.imfreedom.org/hasl/hasl
Source:         https://downloads.sourceforge.net/pidgin/%{name}-%{version}.tar.xz
Source1:        https://downloads.sourceforge.net/pidgin/%{name}-%{version}.tar.xz.asc
Source2:        https://keybase.io/grim/pgp_keys.asc

BuildRequires:  gnupg2
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gi-docgen
BuildRequires:  meson
BuildRequires:  pkgconfig(glib-2.0) >= 2.76
BuildRequires:  pkgconfig(gobject-2.0) >= 2.76
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(libidn) >= 1.38

%description
%{summary}


%package devel
Summary:        Development files for %{name}

%description devel
%{summary}


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name}

%check
%meson_test

%files -f %{name}.lang
%doc README.md AUTHORS ChangeLog
%license LICENSE
%{_libdir}/libhasl.so.0
%{_libdir}/libhasl.so.0.4.0
%{_libdir}/girepository-1.0/Hasl-1.0.typelib

%files devel
%doc %{_docdir}/hasl/
%{_includedir}/hasl-1.0/
%{_libdir}/libhasl.so
%{_libdir}/pkgconfig/hasl.pc
%{_datadir}/gir-1.0/Hasl-1.0.gir

%changelog
## START: Generated by rpmautospec
* Wed Jan 22 2025 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.4.0-1
- Initial commit
## END: Generated by rpmautospec
